<?php
/**
 * The main template file.
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package Magzimum
 */

get_header(); ?>

	<div id="primary" <?php magzimum_content_class( 'content-area' ); ?> >
		<main id="main" class="site-main" role="main">

		<?php
			$featured_content_details = array();
      		$featured_content_details = apply_filters( 'magzimum_filter_featured_content_details', $featured_content_details );
			$show_featured_on_blog = magzimum_get_option( 'featured_content_show_blog' );
            if(true == $show_featured_on_blog){
            foreach ($featured_content_details as $feat) {
            $id[] = $feat['id'];
            }
              $args=array(
                'post__not_in'=> $id,
                
              );
              $magzimum_query = null;
              $magzimum_query = new WP_Query($args);
          ?>
          <?php if ( $magzimum_query->have_posts() ) : ?>

           <?php /* Start the Loop */ ?>
           <?php while ( $magzimum_query->have_posts() ) : $magzimum_query->the_post(); ?>

             <?php
               /* Include the Post-Format-specific template for the content.
                * If you want to override this in a child theme, then include a file
                * called content-___.php (where ___ is the Post Format name) and that will be used instead.
                */
               get_template_part( 'template-parts/content', get_post_format() );
             ?>

           <?php endwhile; ?>
             <?php
           /**
            * magzimum_action_posts_navigation hook
            *
            * @hooked: magzimum_custom_posts_navigation - 10
            *
            */
           do_action( 'magzimum_action_posts_navigation' );?>


         <?php else : ?>

           <?php get_template_part( 'template-parts/content', 'none' ); ?>

         <?php endif; ?>
        <?php 
            wp_reset_postdata();
            wp_reset_query();

            }else{
              $query = array('post_type' => 'post');
              $magzimum_query = new Wp_query($query);?>
              <?php if ( $magzimum_query->have_posts() ) : ?>

              <?php /* Start the Loop */ ?>
              <?php while ( $magzimum_query->have_posts() ) : $magzimum_query->the_post(); ?>

             <?php
               /* Include the Post-Format-specific template for the content.
                * If you want to override this in a child theme, then include a file
                * called content-___.php (where ___ is the Post Format name) and that will be used instead.
                */
               get_template_part( 'template-parts/content', get_post_format() );
             ?>

           <?php endwhile; ?>

           <?php
           /**
            * magzimum_action_posts_navigation hook
            *
            * @hooked: magzimum_custom_posts_navigation - 10
            *
            */
           do_action( 'magzimum_action_posts_navigation' );?>


         <?php else : ?>

           <?php get_template_part( 'template-parts/content', 'none' ); ?>

         <?php endif; ?>

        <?php  
            wp_reset_postdata();
            wp_reset_query();
            }
        ?>

		</main><!-- #main -->
	</div><!-- #primary -->

<?php
/**
 * magzimum_action_sidebar hook
 *
 * @hooked: magzimum_add_sidebar - 10
 *
 */
do_action( 'magzimum_action_sidebar' );?>

<?php get_footer(); ?>
