<?php

add_filter( 'magzimum_filter_default_theme_options', 'magzimum_header_image_default_options' );

/**
 * Header Image defaults.
 *
 * @since  Magzimum 1.0
 */
if( ! function_exists( 'magzimum_header_image_default_options' ) ):

  function magzimum_header_image_default_options( $input ){
  
    $input['enable_featured_header_image']  = 'disable';
    $input['featured_image_size']           = 'full';
    $input['featured_header_image_url']     = home_url( '/ ' );
    $input['featured_header_image_alt']     = '';
    $input['featured_header_image_base']    = '1';

    return $input;
  }

endif;


add_filter( 'magzimum_theme_options_args', 'magzimum_header_image_theme_options_args' );

/**
 * Add Header Image options.
 *
 * @since  Magzimum 1.0
 */

if( ! function_exists( 'magzimum_header_image_theme_options_args' ) ):

  function magzimum_header_image_theme_options_args( $args ){
    // Settings Section
    $args['panels']['pre_defined']['sections']['header_image'] = array(
      'title'    => esc_html__( 'Breaking News Settings', 'magzimum' ),
      'priority' => 70,
      'fields'   => array(
        'enable_featured_header_image' => array(
          'title'             => esc_html__( 'Enable Featured Header Image on', 'magzimum' ),
          'type'              => 'select',
          'choices'           => magzimum_get_header_image_enable_options(),
          'sanitize_callback' => 'sanitize_key',
        ),
        'featured_image_size' => array(
          'title'             => esc_html__( 'Page/Post Featured Image Size', 'magzimum' ),
          'type'              => 'select',
          'choices'           => magzimum_get_image_sizes_options(),
          'sanitize_callback' => 'sanitize_key',
        ),
        'featured_header_image_url' => array(
          'title'             => esc_html__( 'Featured Header Image Link URL', 'magzimum' ),
          'type'              => 'text',
          'sanitize_callback' => 'sanitize_text_field',
        ),
        'featured_header_image_alt' => array(
          'title'             => esc_html__( 'Featured Header Image Alt/Title Tag', 'magzimum' ),
          'type'              => 'text',
          'sanitize_callback' => 'esc_url_raw',
        ),
        'featured_header_image_base' => array(
          'title' => esc_html__( 'Check to Open Link in New Window/Tab', 'magzimum' ),
          'type'  => 'checkbox',
        )
      )
    );

  return $args;
  }

endif;
