<?php
/**
 * Jetpack Compatibility File
 * See: http://jetpack.me/
 *
 * @package Magzimum
 */

/**
 * Add theme support for Infinite Scroll.
 * See: http://jetpack.me/support/infinite-scroll/
 */
function magzimum_jetpack_setup() {
	$pagination_type = magzimum_get_option( 'pagination_type' );

	if ( 'infinite' == $pagination_type ) {
		add_theme_support( 'infinite-scroll', array(
			'container' => 'main',
			'footer'    => 'page',
			'render'    => 'magzimum_infinite_scroll_render',
		) );
	}
}
add_action( 'after_setup_theme', 'magzimum_jetpack_setup' );


/**
 * Custom render function for Infinite Scroll.
 */
function magzimum_infinite_scroll_render() {
	while ( have_posts() ) {
		the_post();
		get_template_part( 'template-parts/content', get_post_format() );
	}
} // end function magzimum_infinite_scroll_render