<?php
/**
 * Promotion Headline
 *
 * @package Magzimum
 */

/** 
 * magzimum_before_promotion_headline_content hook
 */
do_action( 'magzimum_before_promotion_headline_content' );

echo '
	<div id="promotion-message">
		<div class="container clear">';

    	echo '
			<div class="section left">';

		//Promotion Headline Left
		if ( is_active_sidebar( 'promotion-headline-left' ) ) {
    		dynamic_sidebar( 'promotion-headline-left' ); 
    	}
    	else {
			$e_commerce_promotion_headline 		= magzimum_get_option( 'promotion_headline' );
			$e_commerce_promotion_subheadline 	= magzimum_get_option( 'promotion_subheadline' );
			
	
			if ( "" != $e_commerce_promotion_headline ) {
				echo '<h2>' . esc_html( $e_commerce_promotion_headline ) . '</h2>';
			}

			if ( "" != $e_commerce_promotion_subheadline ) {
				echo '<p>' . esc_html( $e_commerce_promotion_subheadline ) . '</p>';
			}			
		}

		echo '
			</div><!-- .section.left -->';  

		echo '
			<div class="section right">';

    	//Promotion Headline Right
    	if ( is_active_sidebar( 'promotion-headline-right' ) ) {
    		dynamic_sidebar( 'promotion-headline-right' ); 
    	}
    	else {
    		$e_commerce_promotion_headline_button 	= magzimum_get_option( 'promotion_headline_button' );
			$e_commerce_promotion_headline_target 	= magzimum_get_option( 'promotion_headline_target' );

    		//support qTranslate plugin
			if ( function_exists( 'qtrans_convertURL' ) ) {
				$e_commerce_promotion_headline_url = qtrans_convertURL($e_commerce_options[ 'promotion_headline_url' ]);
			}
			else {
				$e_commerce_promotion_headline_url 	= magzimum_get_option( 'promotion_headline_url' );
			}
			
			if ( "" != $e_commerce_promotion_headline_url ) {
				if ( $e_commerce_promotion_headline_target ) {
					$e_commerce_headlinetarget = '_blank';
				}
				else {
					$e_commerce_headlinetarget = '_self';
				}
				
				echo '
					<a class="promotion-button" href="' . esc_url( $e_commerce_promotion_headline_url ) . '" target="' . esc_attr( $e_commerce_headlinetarget ) . '">' . esc_attr( $e_commerce_promotion_headline_button ) . '
					</a>';
				
			}		
    	}

    echo '
    		</div><!-- .section.right -->	
		</div><!-- .wrapper -->
	</div><!-- #promotion-message -->';


/** 
 * magzimum_after_promotion_headline_content hook
 *
 */
do_action( 'magzimum_after_promotion_headline_content' );